package com.jkcredit.invoice.common;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-05-30 09:09
 * @version: V1.0
 **/
@Data
public class BaseEntity {

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private Integer userId;


    /**
     * 用户名
     */
    @ApiModelProperty(value = "用户名")
    private String userName;


    /**
     * 用户所在公司
     */
    @ApiModelProperty(value = "用户所在公司")
    private String userCompany;


    /**
     * 用户手机号
     */
    @ApiModelProperty(value = "用户手机号")
    private String userPhone;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    /**
     * 更新时间
     */
    private Long updateTime;
}
