package com.jkcredit.invoice.model.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import cn.afterturn.easypoi.excel.annotation.ExcelTarget;
import lombok.Data;

import java.io.Serializable;

/**
 * @description: 运单预估结果
 * @author: sunzhaoning
 * @create: 2019-07-18 16:37
 * @version: V1.0
 **/
@Data
@ExcelTarget("BillEstimateResult")
public class BillEstimateResult implements Serializable {

    private static final long serialVersionUID = 5117145893747517818L;

    private Long id;

    /**
     * 车牌号
     */
    @Excel(name = "车牌号")
    private String plateNum;

    /**
     * 交易时间
     */
    @Excel(name = "交易时间")
    private String exTime;

    /**
     * 税额
     */
    @Excel(name = "税额")
    private Double totalTaxAmount;

    /**
     * 价税合计
     */
    @Excel(name = "价税合计")
    private Double totalAmount;
}
