package com.jkcredit.invoice.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/5/25 9:39
 * @version: V1.0
 **/
@Data
@ToString
@ApiModel(value = "实际计费记录")
public class RealCharge implements Serializable {

    private static final long serialVersionUID = -315611646175785315L;

    @TableId(type = IdType.AUTO)
    private Integer id;

    private Integer userId;

    private String num;

    private Long price;

    private String transactionId;

    private Long createTime;
}
