package com.jkcredit.invoice.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.jkcredit.invoice.common.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
@ApiModel(value = "运单号查询发票数据")
public class SearchInvoiceMsg extends BaseEntity implements Serializable {
    private static final long serialVersionUID = 2287864395092918879L;
    @TableId(type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "信息")
    private String info;

    @ApiModelProperty(value = "接收时间")
    private String receiveTime;

    @ApiModelProperty(value = "数据列表")
    private List<SearchInvoiceResult> result;

    @ApiModelProperty(value = "车牌")
    private String plateNum;

    @ApiModelProperty(value = "车型")
    private int vehicleType;

    @ApiModelProperty(value = "运单编号")
    private String waybillNum;

    @ApiModelProperty(value = "运单状态")
    private int waybillStatus;

    @ApiModelProperty(value = "运单开始时间")
    private String waybillStartTime;

    @ApiModelProperty(value = "运单结束时间")
    private String waybillEndTime;

}
