package com.jkcredit.invoice.service.CalculateInfor.impl;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jkcredit.invoice.mapper.calculateInfor.NoCarCalculateInforMapper;
import com.jkcredit.invoice.mapper.calculateInfor.SelfCarCalculateInforMapper;
import com.jkcredit.invoice.model.entity.Calculate.NoCarCalculateInfor;
import com.jkcredit.invoice.model.entity.Calculate.SelfCarCalculateInfor;
import com.jkcredit.invoice.service.CalculateInfor.NoCarCalculateInfoService;
import com.jkcredit.invoice.service.CalculateInfor.SelfCarCalculateInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class SelfcarCalculateInfoServiceImpl extends ServiceImpl<SelfCarCalculateInforMapper,SelfCarCalculateInfor> implements SelfCarCalculateInfoService {
    @Autowired
    SelfCarCalculateInforMapper CarCalculateInforMapper ;
    @Override
    public IPage<List<SelfCarCalculateInfor>> findByPageAndCalculateInfor(Page page, SelfCarCalculateInfor calculateInfor) {
        return CarCalculateInforMapper.selectAllByPage(page,calculateInfor);
    }

    @Override
    public List<Map<String, String>> findSelfcarCalculateInfoSta(SelfCarCalculateInfor calculateInfor) {
       //1.按企业统计出计费信息条数

        //2.按企业统计etc卡数量

        //3.通过计费的etc卡数查询对应的交易id数



        return CarCalculateInforMapper.findSelfcarCalculateInfoSta(calculateInfor);
    }
}
