package com.jkcredit.invoice.service.nocar;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.waybill.NoCarWayBill;
import com.jkcredit.invoice.util.RespR;

import java.util.List;

public interface NoCarBillWayImportService {
    /**
     * 查询所有运单号接口
     * @param page
     * @param noCarWayBill
     * @return
     */
    IPage<List<NoCarWayBill>> findByPageAndWayBill(Page page, NoCarWayBill noCarWayBill);

    /**
     * 查询所有异常运单号接口
     * @param page
     * @param noCarWayBill
     * @return
     */
    IPage<List<NoCarWayBill>> findByPageAndWayBillException(Page page, NoCarWayBill noCarWayBill);

    void insertImport(NoCarWayBill record);

    void updateBillway(int status,String msg,NoCarWayBill noCarWayBill);
}
