package com.jkcredit.invoice.service.nocar;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.waybill.NoCarWayBill;
import com.jkcredit.invoice.util.RespR;

import java.util.List;

public interface NoCarBillWayService {
    /**
     * 查询所有运单号接口
     * @param page
     * @param noCarWayBill
     * @return
     */
    IPage<List<NoCarWayBill>> findByPageAndWayBill(Page page, NoCarWayBill noCarWayBill);

    /**
     * 查询所有异常运单号接口
     * @param page
     * @param noCarWayBill
     * @return
     */
    IPage<List<NoCarWayBill>> findByPageAndWayBillException(Page page, NoCarWayBill noCarWayBill);

    /**
     * 批量导入运单数据
     * @param noCarWayBills
     * @return
     */
    RespR batchBillWayStart(List<NoCarWayBill> noCarWayBills,String customerName);

    /**
     * 批量结束运单数据
     * @param noCarWayBills
     * @return
     */
    RespR batchBillWayEnd(List<NoCarWayBill> noCarWayBills,String customerName);

    /**
     * 批量历史运单数据操作
     * @param noCarWayBills
     * @return
     */
    RespR batchHsitoryBillWay(List<NoCarWayBill> noCarWayBills,String customerName);


    RespR findImportNocarBillWay(List<NoCarWayBill> list);
}
