package com.jkcredit.invoice.model.entity;

import com.jkcredit.invoice.common.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-05-30 11:46
 * @version: V1.0
 **/
@Data
@ApiModel(value = "批次实体")
public class Batch extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 4114952449282051115L;

    private String id;

    /**
     * 批次号
     */
    @ApiModelProperty(value = "批次号")
    private String batchNumber;

    /**
     * 类型
     */
    @ApiModelProperty(value = "类型")
    private Integer type;
}
