package com.jkcredit.invoice.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description:
 * @author: xusonglin
 * @create: 2019/12/11 11:52
 * @version: V1.0
 **/
@Data
@ApiModel(value = "消息队列消费列表")
public class ConsumeQueue {
    private static final long serialVersionUID = -526324944915280489L;

    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private String userId;

    /**
     * 发票流水号
     */
    @ApiModelProperty(value = "用户id")
    private String transactionId;

    /**
     * 运单号
     */
    @ApiModelProperty(value = "运单号")
    private String wayBillNum;
}
