package com.jkcredit.invoice.model.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.jkcredit.invoice.common.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-06-03 08:57
 * @version: V1.0
 **/
@Data
public class NumInvoice extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1077775202676468049L;

    @TableId(type = IdType.AUTO)
    private Integer id;

    @Excel(name = "运单编号")
    @ApiModelProperty(value = "运单号")
    private String num;

    @ApiModelProperty(value = "是否请求成功")
    private Integer isSuccess;

    /**
     * 批次号
     */
    @ApiModelProperty(value = "批次号")
    private String batchNumber;

    /**
     * 批次id
     */
    @ApiModelProperty(value = "批次id")
    private String batchId;
}
