package com.jkcredit.invoice.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.jkcredit.invoice.common.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-05-30 10:39
 * @version: V1.0
 **/
@Data
@ApiModel(value = "充值记录实体")
public class Recharge extends BaseEntity implements Serializable {

    private static final long serialVersionUID = -2368035888962889457L;

    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 充值余额
     */
    @ApiModelProperty(value = "充值前余额")
    private Long beforeMoney;

    /**
     * 充值金额
     */
    @ApiModelProperty(value = "充值金额")
    private Long money;

}
