package com.jkcredit.invoice.model.entity.manager;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-05-28 17:44
 * @version: V1.0
 **/
@Data
@ApiModel(value = "参数实体")
public class Param implements Serializable {

    private static final long serialVersionUID = -526324944915280489L;

    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 参数名称
     */
    @ApiModelProperty(value = "参数名称")
    private String paramName;

    /**
     * 参数值
     */
    @ApiModelProperty(value = "参数值")
    private String paramValue;



    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String paramNote;



}
