package com.jkcredit.invoice.service.CalculateInfor;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.Calculate.NoCarCalculateInfor;
import java.util.List;
import java.util.Map;

/**
 * 无车计费服务
 */
public interface NoCarCalculateInfoService {
    /**
     * 查询所有计费服务接口
     * @param page
     * @param calculateInfor
     * @return
     */
    IPage<List<NoCarCalculateInfor>> findByPageAndCalculateInfor(Page page, NoCarCalculateInfor calculateInfor);

    /**
     * 查询所有计费统计服务接口
     * @param calculateInfor
     * @return
     */
    List<Map<String,String>> findNocarCalculateInfoStatis(NoCarCalculateInfor calculateInfor);
}
