package com.jkcredit.invoice.service.CalculateInfor.impl;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jkcredit.invoice.mapper.calculateInfor.NoCarCalculateInforMapper;
import com.jkcredit.invoice.mapper.customer.CustomerMapper;
import com.jkcredit.invoice.model.entity.Calculate.NoCarCalculateInfor;
import com.jkcredit.invoice.model.entity.customer.Customer;
import com.jkcredit.invoice.service.CalculateInfor.NoCarCalculateInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class NocarCalculateInfoServiceImpl extends ServiceImpl<NoCarCalculateInforMapper,NoCarCalculateInfor> implements NoCarCalculateInfoService {
    @Autowired
    NoCarCalculateInforMapper noCarCalculateInforMapper;

    @Autowired
    CustomerMapper customerMapper;
    @Override
    public IPage<List<NoCarCalculateInfor>> findByPageAndCalculateInfor(Page page, NoCarCalculateInfor calculateInfor) {
        return noCarCalculateInforMapper.selectAllByPage(page,calculateInfor);
    }

    @Override
    public List<Map<String,String>> findNocarCalculateInfoStatis(NoCarCalculateInfor calculateInfor) {
        List<Map<String,String>> list = noCarCalculateInforMapper.selectforStatis(calculateInfor);
        for(Map<String,String> map:list){
            String customId = map.get("customId");
            Customer customer = customerMapper.selectByCustomerName(customId);
            if(customer!=null){
                map.put("customId",customer.getCompany());
            }
        }
        return list;
    }
}
