package com.jkcredit.invoice.service.selfCar;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.invoice.SelfCarInvoice;
import com.jkcredit.invoice.model.entity.waybill.SelfCarTrade;
import com.jkcredit.invoice.util.RespR;

import java.util.List;

/**
 * 自有车发票服务
 */
public interface SelfCarInvoiceService{
    /**
     * 查询所有发票接口
     * @param page
     * @param selfCarInvoice
     * @return
     */
    IPage<List<SelfCarInvoice>> findByPageAndInvoice(Page page, SelfCarInvoice selfCarInvoice);

    RespR findImportSelfcarInvoices(List<SelfCarInvoice> list);
}
