package com.jkcredit.invoice.service.selfCar;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.waybill.NoCarWayBill;
import com.jkcredit.invoice.model.entity.waybill.SelfCarTrade;
import com.jkcredit.invoice.util.RespR;

import java.util.List;

/**
 * 自有车交易接口
 */
public interface SelfCarTradeService {
    /**
     * 查询所有交易接口
     * @param page
     * @param selfCarTrade
     * @return
     */
    IPage<List<SelfCarTrade>> findByPageAndTrade(Page page, SelfCarTrade selfCarTrade);

    RespR batchImportSelfcarTrades(List<SelfCarTrade> list);

    boolean updateTrades(List<SelfCarTrade> selfCarTrades);
}
